Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class BitSetSerializer

    java.lang.Object
      org.apache.cassandra.utils.BitSetSerializer

    public class BitSetSerializer

extends java.lang.Object

Constructor Summary
`BitSetSerializer()`

Method Summary
`static java.util.BitSet` | `deserialize(java.io.DataInputStream dis)`
`static void` | `serialize(java.util.BitSet bs, java.io.DataOutputStream dos)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BitSetSerializer

    public BitSetSerializer()

Method Detail

### serialize

    public static void serialize(java.util.BitSet bs,
                                 java.io.DataOutputStream dos)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### deserialize

    public static java.util.BitSet deserialize(java.io.DataInputStream dis)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation